Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.mergepoint
Class OptionsSaxHandlerFactories

    java.lang.Object
      org.apache.torque.generator.configuration.mergepoint.OptionsSaxHandlerFactories

    public class OptionsSaxHandlerFactories

extends Object

A registry of OptionsSaxHandlerFactories. $Id: OptionsSaxHandlerFactories.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`OptionsSaxHandlerFactories()` Constructor.

Method Summary
`OptionsSaxHandlerFactory` | `getOptionsSaxHandlerFactory(String type)` Returns the OptionsSaxHandlerFactory associated with the given type.
`void` | `register(OptionsSaxHandlerFactory optionsSaxHandlerFactory)` Registers a new OptionsSaxHandlerFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OptionsSaxHandlerFactories

    public OptionsSaxHandlerFactories()

  Constructor. Registers the default OptionsSaxHandlerFactories.

Method Detail

### register

    public void register(OptionsSaxHandlerFactory optionsSaxHandlerFactory)
                  throws ConfigurationException

  Registers a new OptionsSaxHandlerFactory.

  Parameters:
    `optionsSaxHandlerFactory` - the factory to register, not null.
  Throws:
    `ConfigurationException` - if the type of the registered factory already exists.

### getOptionsSaxHandlerFactory

    public OptionsSaxHandlerFactory getOptionsSaxHandlerFactory(String type)

  Returns the OptionsSaxHandlerFactory associated with the given type.

  Parameters:
    `type` - the type top look for, not null.
  Returns:
    the OptionsSaxHandlerFactory associated with the given type, or null if no OptionsSaxHandlerFactory exists for the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.